using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace DataAttributes
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            // create a list of customers
            // NOTE: the properties on the Customer object have data attributes.
            List<Customer> list = new List<Customer>();
            for (int i = 0; i < 20; i++)
            {
                var c = new Customer();
                list.Add(c);
            }

            // show customers on both grids
            _grid.ItemsSource = list;
            _flex.ItemsSource = list;
        }
    }
}
